# This is the SPEC file for creating binary and source RPMs for the VMs.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
Name:		qubes-gui-agent-selinux
Version:	4.2.13
Release:	1%{?dist}
Summary:	The Qubes GUI Agent for AppVMs
License:	GPLv2+
URL:		https://www.qubes-os.org
BuildArch: noarch

BuildRequires: selinux-policy
BuildRequires: selinux-policy-devel
BuildRequires: qubes-core-agent-selinux
Requires(post): qubes-core-agent-selinux
BuildRequires: qubes-core-qrexec-vm-selinux
Requires(post): qubes-core-qrexec-vm-selinux
%{?selinux_requires}

Source0: qubes-gui-agent-%{version}.tar.gz

%description
SELinux policy for the Qubes GUI Agent.  This allows the Qubes GUI Agent to run
in a VM with SELinux enforcing, as is the default on Red Hat-family
distributions.

%prep
%setup -qn qubes-gui-agent-%{version}

%files
%_datadir/selinux/packages/qubes-gui-agent.pp

%build
%{?set_build_flags}
#make clean
make selinux

%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}

%install
make install-selinux DESTDIR=$RPM_BUILD_ROOT \
                     LIBDIR=%{_libdir} \
                     DATADIR=%{_datadir} \

%post

%selinux_modules_install %{_datadir}/selinux/packages/qubes-gui-agent.pp

%postun
if [ "$1" -eq 0 ]; then
    %selinux_modules_uninstall %{_datadir}/selinux/packages/qubes-gui-agent.pp
fi || :

%posttrans
%selinux_relabel_post
exit 0

%changelog
* Mon Feb 05 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-gui-agent-linux

* Mon Feb 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 25b2456
- version 4.2.13

* Mon Feb 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 42b6640
- qubes-gui-runuser: fix parameters order for calloc

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 92a144b
- Fix audio quality problems

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 589bd4e
- Pass streams to stream callbacks

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - f185dd7
- Avoid crashing during shutdown

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - bc3fd9a
- Do not rely on pw_context_get_support() on modern PipeWire

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 5e8b0cb
- Drop support for PipeWire < 0.3.30

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - d46c75a
- Fix package descriptions

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - fe5428f
- Set node.rate for streams

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - de30dd2
- Add utility program to run any PipeWire stream

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 454c637
- Use libvchan_send and libvchan_recv for all-or-nothing ops

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 59b39bc
- Allow capturing vchan size in one go

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 147d4ea
- Better error reporting

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 602d8da
- Avoid zeroing out recorded samples if underrun

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - f21c949
- Atomically send initial stream states

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - d91ef65
- Use a #define for the stream rate

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 8632a4e
- Do not send QUBES_PA_SINK_UNCORK_CMD on overrun

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 62bc13c
- Fix error message when spa_format_parse() fails

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 970526f
- Downgrade unknown ID errors to warnings

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 1908dfb
- Reduce usage of confusing 'direction' flag

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 14e1fde
- Cleanup license metadata

* Thu Feb 01 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - d40d142
- Obtain rate_match and position SPA IOs

* Thu Feb 01 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 0b72166
- Only use trace logs in the realtime thread

* Thu Feb 01 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 647399a
- Fix buffer size calculation error

* Wed Jan 24 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d4b8cdf
- version 4.2.12

* Mon Jan 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 82823f6
- archlinux: drop pipewire<1:0.4 dependency, part 2

* Mon Jan 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7e718db
- archlinux: drop pipewire<1:0.4 dependency

* Sat Jan 13 2024 fepitre-bot <fepitre-bot@qubes-os.org> - e2049df
- Add pulseaudio-17.0 headers

* Thu Jan 11 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 58d30e5
- ci: add job for running openQA directly from a PR

* Wed Dec 13 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 37fb192
- Add comments describing thread synchronization

* Tue Dec 12 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 907acbc
- Add the PW_STREAM_MAP_BUFFERS flag

* Mon Nov 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 12638a4
- version 4.2.11

* Sat Nov 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bd627d2
- rpm: use fillup tool to manage /etc/sysconfig/desktop on openSUSE

* Sat Nov 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f07a2b7
- rpm: put PAM config in /usr/lib/pam.d on openSUSE

* Sat Nov 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 407ebc0
- rpm: drop explicit dependency on libXfixes

* Sat Nov 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - be67a2b
- Move lightdm.service drop-in into /usr/lib

* Thu Nov 16 2023 Rusty Bird <rustybird@net-c.com> - 0aae614
- vmside: avoid XGetWindowAttributes() call if result isn't used

* Thu Nov 16 2023 Rusty Bird <rustybird@net-c.com> - 7d8f143
- vmside: disambiguate two identical error messages

* Thu Nov 16 2023 Rusty Bird <rustybird@net-c.com> - ae2d083
- vmside: add newline to error messages where it was missing

* Sun Nov 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9bc0456
- rpm: adjust directory ownership and add relevant BR to satisfy the check

* Sun Nov 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 047545a
- rpm: install files to /usr/etc when relevant on openSUSE

* Sun Nov 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2271cd7
- pipewire: skip duplicated cflags

* Sun Nov 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 87573cf
- rpm: adjust dependencies for openSUSE

* Sun Nov 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f8b51b6
- rpm: fix dist macro usage

* Fri Nov 03 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ad277ff
- Add dedicated PAM file for Gentoo

* Mon Oct 30 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a333786
- version 4.2.10

* Sat Oct 28 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3476590
- pipewire: adjust buffer parameters

* Wed Oct 25 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 77aa7b0
- Do not override default clock rate or quantum

* Mon Sep 11 2023 Everett Gally <egally@protonmail.com> - 31c5988
- comment explaining why capslock is excluded from key sending

* Mon Sep 11 2023 Everett Gally <egally@protonmail.com> - 6bfefe9
- remove incorrect comment

